#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE9,0x2F,0x5C,0xA7,0xCF,0x24,0x6F,0x4B,0x2E,0x42,0xD5,0x0B,
		0x7B,0xC1,0xFF,0x34,0xD6,0x45,0xD7,0x99,0x99,0x86,0xDB,0xAE,
		0x4C,0x9E,0xC1,0x9B,0x51,0x0C,0xAA,0x4E,0xEE,0xB2,0x1B,0x8B,
		0x9E,0x07,0xFE,0x33,0xA7,0x95,0x48,0xD9,0x82,0x22,0x6E,0x3A,
		0x28,0xE6,0x75,0xC7,0x59,0x1D,0xAF,0xDA,0x56,0xD0,0xE4,0x60,
		0x71,0xD3,0xA2,0x7F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
